_lscp_channel_info_t Struct Reference

`#include <client.h>`

## Data Fields

char * | engine_name
int | audio_device
int | audio_channels
int * | audio_routing
char * | instrument_file
int | instrument_nr
char * | instrument_name
int | instrument_status
int | midi_device
int | midi_port
int | midi_channel
int | midi_map
float | volume
int | mute
int | solo

## Detailed Description

Channel info cache struct.

## Field Documentation

## audio_channels

int _lscp_channel_info_t::audio_channels

Referenced by lscp_get_channel_info().

## audio_device

int _lscp_channel_info_t::audio_device

Referenced by lscp_get_channel_info().

## audio_routing

int* _lscp_channel_info_t::audio_routing

Referenced by lscp_get_channel_info().

## engine_name

char* _lscp_channel_info_t::engine_name

Referenced by lscp_get_channel_info().

## instrument_file

char* _lscp_channel_info_t::instrument_file

Referenced by lscp_get_channel_info().

## instrument_name

char* _lscp_channel_info_t::instrument_name

Referenced by lscp_get_channel_info().

## instrument_nr

int _lscp_channel_info_t::instrument_nr

Referenced by lscp_get_channel_info().

## instrument_status

int _lscp_channel_info_t::instrument_status

Referenced by lscp_get_channel_info().

## midi_channel

int _lscp_channel_info_t::midi_channel

Referenced by lscp_get_channel_info().

## midi_device

int _lscp_channel_info_t::midi_device

Referenced by lscp_get_channel_info().

## midi_map

int _lscp_channel_info_t::midi_map

Referenced by lscp_get_channel_info().

## midi_port

int _lscp_channel_info_t::midi_port

Referenced by lscp_get_channel_info().

## mute

int _lscp_channel_info_t::mute

Referenced by lscp_get_channel_info().

## solo

int _lscp_channel_info_t::solo

Referenced by lscp_get_channel_info().

## volume

float _lscp_channel_info_t::volume

Referenced by lscp_get_channel_info().

The documentation for this struct was generated from the following file:

- client.h